import Cookies from 'js-cookie'
const jName = 'live-telecast-ui-pc'
const TokenKey = jName + '-Token'
const MenuKey = jName + '-Menu'
const BtnKey = jName + '-MenuBtn'
const NoticeKey = jName + "-Notice"
const RolesKey = jName + "-Roles"
export function getToken() {
  return Cookies.get(TokenKey)
}

export function setToken(token) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

export function getMenu() {
  const menu = Cookies.get(MenuKey)
  if (menu) {
    return JSON.parse(menu)
  } else {
    return []
  }
}

export function setMenu(menu) {
  return Cookies.set(MenuKey, menu)
}

export function removeMenu() {
  return Cookies.remove(MenuKey)
}

export function getBtn() {
  return Cookies.get(BtnKey)
}

export function setBtn(has) {
  return Cookies.set(BtnKey, has)
}

export function removeBtn() {
  return Cookies.remove(BtnKey)
}

export function getNotice() {
  return Cookies.get(NoticeKey)
}

export function setNotice(has) {
  return Cookies.set(NoticeKey, has)
}

export function removeNotice() {
  return Cookies.remove(NoticeKey)
}



export function getRoles() {
  return Cookies.get(RolesKey)
}

export function setRoles(has) {
  return Cookies.set(RolesKey, has)
}

export function removeRoles() {
  return Cookies.remove(RolesKey)
}
